%define name tidarque
%define version 0.0.3pre6
%define release 3mdk

Version: %{version}
Summary: A flexible VRML browser
Name: %{name}
Release: %{release}
License: GPL
Group: Graphics
Source: %{name}-%{version}.tar.bz2
URL: http://tronche.com/tidarque/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Tidarque, the flexible VRML browser for Unix, now compiles under RedHat 7.0. 
As you may know, RedHat as made a somewhat controversial move by shipping with 
their 7.0 distribution a new, intermediate version of g++. The new compiler 
breaks a lot of code that had worked for years (even if it was working for 
bad reasons). Tidarque has been affected, since it's written mainly in C++. 
However, lots of people are likely to install the RedHat 7.0 and those wanting
to compile tidarque may get into trouble. And the new compiler would have
shown up at some time anyway. Hence the new (intermediate) 0.0.3pre6 release
compiles fine with RedHat 7.0 as well as other Linux distributions. 
It has also been reported to work fine under Solaris, which was unclear 
since 0.0.3pre4. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

./configure --prefix=/usr --with-gl-lib=/usr/X11R6/lib/

%make

%install

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL TODO ChangeLog
%{_bindir}/*
%{_datadir}/*.pm
%{_datadir}/*.ttf
%{_libdir}/*

%changelog
* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3pre6-3mdk
- rebuild

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3pre6-2mdk 
- oups forgot to update description, url...

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3pre6-1mdk
- new in contribs

